<!--Dummy comment  -->
![PLIBS_9 logo](doc/logo.png)
---- 
[![pipeline status](https://gitlab.in2p3.fr/CTA-LAPP/PHOENIX_LIBS/TESTS/TestProjectReleaseOnTag/badges/master/pipeline.svg)](https://gitlab.in2p3.fr/CTA-LAPP/PHOENIX_LIBS/TESTS/TestProjectReleaseOnTag/-/commits/master)
[![coverage report](https://gitlab.in2p3.fr/CTA-LAPP/PHOENIX_LIBS/TESTS/TestProjectReleaseOnTag/badges/master/coverage.svg)](https://gitlab.in2p3.fr/CTA-LAPP/PHOENIX_LIBS/TESTS/TestProjectReleaseOnTag/-/commits/master)
# Code

https://gitlab.in2p3.fr/CTA-LAPP/PHOENIX_LIBS/TESTS/TestProjectReleaseOnTag
# Documentation

https://cta-lapp.pages.in2p3.fr/PHOENIX_LIBS/TESTS/TestProjectReleaseOnTag/
# Requirements

- c++ compiler (tested with g++ 5,6,7,8,9,10 and clang 9,10)
- cmake > 3
- make
# Installation for Users

```sh
	$ git clone https://gitlab.in2p3.fr/CTA-LAPP/PHOENIX_LIBS/TESTS/TestProjectReleaseOnTag.git
	$ cd TestProjectReleaseOnTag
	$ ./install.sh
```

Then **TestProjectReleaseOnTag** is installed in your $HOME/usr.


If you prefer a customized install path you can do :

```sh
	$ git clone https://gitlab.in2p3.fr/CTA-LAPP/PHOENIX_LIBS/TESTS/TestProjectReleaseOnTag.git
	$ cd TestProjectReleaseOnTag
	$ ./install.sh /your/install/path
```

If you prefer a customized install path with custom compilation you can do :

```sh
	$ git clone https://gitlab.in2p3.fr/CTA-LAPP/PHOENIX_LIBS/TESTS/TestProjectReleaseOnTag.git
	$ cd TestProjectReleaseOnTag
	$ mkdir -p build
	$ cd build
	$ cmake .. -DCMAKE_INSTALL_PREFIX=/your/install/Path
	$ make -j `nproc`
	$ make install -j `nproc`
```

The **nproc** gives the number of cores of the computer. If you want a build on one core you can just type :

```sh
	$ make
	$ make install
```

# Update TestProjectReleaseOnTag

If you want to update the software :

```sh
	$ git clone https://gitlab.in2p3.fr/CTA-LAPP/PHOENIX_LIBS/TESTS/TestProjectReleaseOnTag.git
	$ cd TestProjectReleaseOnTag
	$ ./update.sh
```

If you want to update the software with a custom install path :

```sh
	$ git clone https://gitlab.in2p3.fr/CTA-LAPP/PHOENIX_LIBS/TESTS/TestProjectReleaseOnTag.git
	$ cd TestProjectReleaseOnTag
	$ ./update.sh /your/install/path
```
