/***************************************
	Auteur : Pierre Aubert
	Mail : pierre.aubert@lapp.in2p3.fr
	Licence : CeCILL-C
****************************************/

#include "shadok.h"

///Print a shadok
void print_shadok(){
	std::cout << "WWWWWWWWWWMMWWWWMMWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWMMMMMMMWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWW" << std::endl;
	std::cout << "WWWWWWMWWWWWWMMMWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWMMMMMMMWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWMMWMM" << std::endl;
	std::cout << "WWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWMMMMMMMMMMMMMMMMMMMMWWWWWWMMMMMMMWWWWWWWWWWWWWWWWWWWWWWWWWMMM" << std::endl;
	std::cout << "WWWWWWWWWWMMWWWWWWWWWWWWWWWWWWWWWWWWWWWWWMMMMWWWWMMMMMMMMMMMMWWWMMMMMMMMWWWWWWWWWWWWWWWWWWWWWWWWWWWW" << std::endl;
	std::cout << "WWWWWWWWWWMWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWMMMMMMMMMMMMMMMMMMMWWWWWWWWWWWWWWWWWWWWWWWWWWMMMMMM" << std::endl;
	std::cout << "WWWWWWWWWWWWWWWWWWWWWWWWWWWWWNNNXXXNWWWWWWWWWWWWWWWWMMMWWMMMMMMMMMWWWWWWWWWWWWWWWWWWWWWWWWWWWWMMMMMM" << std::endl;
	std::cout << "WWWWWWWWWWNNX0000OOkxddooolccccc;;;xNWWWWWWWWWWWWWWWWWWWWMMMMMMMWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWMMMMMM" << std::endl;
	std::cout << "WWWWWWWWWWWNd,,,,,,'''''''',,,,,;,',kNWWWWWWWWWWWWWWWWWWWWWWWMMMWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWMMMM" << std::endl;
	std::cout << "WWWWWWWWWWWNd''''''''''''';;,.''''..cKX0kxkXWWWWWWWWWWWWWWWWWWMMWWWWWWWWWWWWWWWWWWWWWWWWMMMMMWWWMMMM" << std::endl;
	std::cout << "WWWWWWWWWWWWXOxdooddddxd:.';,.,c:,..,;;''.,kWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWMMMMMMWWWWMMM" << std::endl;
	std::cout << "WWWWWWWWWWWWWWWWXK0Okxdo;.';,..'.''',,,;;''dNWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWMMMMMMMWWWWWWW" << std::endl;
	std::cout << "WWWWWWWWWWWWNKxl:,,''''''',;;,,,.';;;;;;;,'oNWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWMMMMMMMWWWWWWM" << std::endl;
	std::cout << "WWWWWWWWWWKxc,'',,;,',;;;;;;;;,',:,',;;;;;.cXWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWMMMMMMMWWWW" << std::endl;
	std::cout << "WWWWWNWNXx;'',;;;,'''.';;,,;;,';kN0d:''';,'cXWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWMMMMMMMMMMM" << std::endl;
	std::cout << "WWWWWWNO:'';;;;;,';kKd;''..',:dKNNWWXOdc;'.lXWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWMMMMMMMWWWW" << std::endl;
	std::cout << "WWWWWXd,',;;;;;;';ONWNX0d;.l0XWWWWWWWWWWXOx0WWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWMMMMMMMMMMM" << std::endl;
	std::cout << "WWWWNx,';;;;;;;''xNWWWWWXl'oNWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWMMMMMMMMMMMMMMMWWWWWWMMWWWWMMMMMMMM" << std::endl;
	std::cout << "NNWNx,',;;;;;;;':0WWWWWWNo.cXWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWMMMWWWMMMMMMMMMMMMMMMWWWWMMMMWWWWMMMMMMMM" << std::endl;
	std::cout << "NNW0;.',,,,,,,'.oNWWWWWWNx';KWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWMWWWWMMMMMMMWWWWWWWWWWWWWWWMMMMMMMWWWMMM" << std::endl;
	std::cout << "WWNKdlooooooooodKWWWWWWWWk,,OWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWMMMMMMMMMMMMMMMWWWWWWWWMMWWMMWWWWWW" << std::endl;
	std::cout << "WWWWWWWWWWWWWWWWWWWWWWWWWO;,OWWWWWWWWWWWWWWWWWWWWWWWWWWWMWWWWWWWMMMMMMMMMMMMMMMMMMMMMMMMWWWN0KWWWWWW" << std::endl;
	std::cout << "WWWWWWWWWWWWWWWWWWWWWWWWWK;'cldXWWWMWWWWWWWWWWWWWWWWWWWMMWWWWWWWMMMMMMMMMMMMMMMMWWWWWWWWWWNd;dNWWWWW" << std::endl;
	std::cout << "WWWWWWWWWWWWWWWWWWWWWWWWWK:....oNWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWMMMMMMMMMMMMMMWWWWWWWWWNk;cKMWWWWW" << std::endl;
	std::cout << "WWWWWWWWWWWWWWWWWWWWWWWWWXl....'dNWWWWWWWWWWWWWWWWWWWWWMMWWWWWWMMMWWWWWMMWWWWWWMWWWWWWWWXd,;OWWWWMMM" << std::endl;
	std::cout << "WWWWWWWWWWWWWWWWWWWWWWWWWNo...,''oXWWWWWWWWWWWWWWWWWWMMMMWWWWWWWWWWWMMWWWWWWWWWWWWWWWWNOc.,kNWWWWWWW" << std::endl;
	std::cout << "NWWWWWWWWWWWWWWWWWWWWWWWWWx'...;,':ONWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWNX0Okxk0XWWWWWNKkl,.'xNWWWWWWWW" << std::endl;
	std::cout << "WWWWWWWWWWWWWWWWWWWWWWWWWWO,'l,.;:,,o0NWWWWWWNX0KKXXNWWWWWWWWWWWNKkdolc,....';l0XKxl;;;,'lXWWWWWWWWW" << std::endl;
	std::cout << "WWWWWWWWWWWWWWWWWWWWWWWWWWK;'xk,.,:;,;lx0XN0xdooollccokKNWWWWNKxlcox0X0l'......,c:,,::,'lKWWWWWWWWWW" << std::endl;
	std::cout << "WWWWWWWWWWWWWWWWWWWWWWWWWWXl.dN0:.';:;,,;::,l0NNWXXd'..'cd0Kkl:okXWWWWWN0kxdo'.,:::::,'oXWWWWWWWWWWW" << std::endl;
	std::cout << "WWWWWWWWWWWWWWWWWWWWWWWWWWNo'oNWXxc'',:::;.,kXNWWWWXkl;,..',',dKNWWWWWWWNKxc'.,:::::''dNWWWWWWWWWWWW" << std::endl;
	std::cout << "NWWWWWWWWWWWWWWWWWWWWWWWWWNd'cKWWWXOo:,,,,'.;:coxkkkkxl;'.,:lc::clooolll:,..';:::::',xNWWWWWWWWWWWWW" << std::endl;
	std::cout << "NWWWWWWWWWWWWWWWWWWWWWWWWWWx';0WWWWWWX0xoc:,..;c::cc:;::loxkkkkdooolllloc,.';::::;';kNWWWWWWWWWWWWWW" << std::endl;
	std::cout << "NWWWWWWWWWWWWWWWWWWWWWWWWWWk',OWWWWWWWWWWNXd',dkkxdxxkkxxxkkkxxxkkxkxxko,.,:c::;,'l0NWWWWWWWWWWWWWWW" << std::endl;
	std::cout << "NWWWWWWWWWWWWWWWWWWWWWWWWWW0;'kWWWWWWWWWWNkc,,:lc;,cxkkxkxkkkxkxxkkkxxo,.,::;;'.,xNWWWWWWWWWWWWWWWWW" << std::endl;
	std::cout << "NWWWWWWWWWWWWWWWWWWWWWWWWWWKc'dNWWWWWWWWNk::d;.,,,;lxkkkkkkxxxddxkkdl:.,cooolol;,dXWWWWWWWWWWWWWWWWW" << std::endl;
	std::cout << "NWWWWWWWWWWWWWWWWWWWWWWWWWWNo'lXWWWWWWWNOc;ox:.,;;oxkxdloxxxkd;;oxkl'.'locokkdll:'c0WWWWWWWWWWWWWWWW" << std::endl;
	std::cout << "WWWWWWWWWWWWWWWWWWWWWWWWWWWWk':0WWWWWWN0d;cko'..'cxxxd;.,lxxxko,:xxl..lxd;,lxd:,c:':0WWWMWWWWWWWWMMW" << std::endl;
	std::cout << "WWWWWWWWWWWWWWWWWWWWWWWWWWWW0;,OWWWWWNKk:;dx:,,.'dkxxl';;:dxxxx;'od;.,okxd;,lxd;'c:'lXWWWWWWWWWWWWWW" << std::endl;
	std::cout << "WWWWWWWWWWWWWWWWWWWWWWWWWWWWK:'kWWWWWXOo;cxl,:c.'okkd:'c:,oxxkx:'ll'.'lxxxl';dkl',o:'dNWWWWWWWWWWWWW" << std::endl;
	std::cout << "NWWWWWWWWWWWWWWWWWWWWWWWWWWWK:.dNWWWN0xc;od;,o:..:dxo',o;'okxxx:.:;...:xxkx;'lkd,.lo,,OWWWWWWWWWWWWW" << std::endl;
	std::cout << "WNNNWWWWWWWWWWWWWWWWWWNK00OOx:.cKNNWXOo;:xl':o;..';lc.:x:'lxxxx:.'....;xxxx:.:xx:.:xc'lXWWWWWWWWWWWW" << std::endl;
	std::cout << "WWWWWWWWWWWWWWWWWWWWXxc::::::,.':clolc,,ox:,ol';:..,,.lx:.:xxxd;....'.,dkxxl';dxl.'od,,xNWWWWWWWWWWW" << std::endl;
	std::cout << "WWWWWWWWWWWWWWWWWWWWk,'cllooolcclllol:.'cc';dc'ld;...'ld;.:xxxo'..,';,,okxxd;.cc'..cxl'lXWWWWWWWMWWN" << std::endl;
	std::cout << "WWWWWWWWWWWWWWWWWWWWXOxl;'..'',,,;ldxc'co;.ld;,oko:'.,ox;.;dkxc..:l,:c'cxxxx:..,;.'lkd;;OWWWWWWWWWWX" << std::endl;
	std::cout << "WWWWWWWWWWWWWWWWWWWWWNOl,;:loodddxxkd,,dd;,oo';dkdl,.,ox:.,okd:.;dl'cl':xxxl'.'lo,.lko,'dNWWWWWWWWWN" << std::endl;
	std::cout << "WWWWWWWWWWWWWWWWWWWWWNo',clc:;;:lxkkc':xl';xc'cxxoc,..cx:.,dxc..cxl'cl';dx:....':,.cxl''oXWWWWWWWWWW" << std::endl;
	std::cout << "WWWWWWWWWWWWWWWWWWWWWWXko;..,:lodxkx:'lxc'co,'okxl:'..'oc.;xl..'lxc'lo''l:';;...;;.'oo'.lXWWWWWWWWWW" << std::endl;
	std::cout << "WWWWWWWWWWWWWWWWWWWWWWWWk',oxxdxxddl',ox;,ol',dkxc,..'.:c.,c,'.;dxc,lo,.,';o;...::..cl'.:0WWWWWWWWWW" << std::endl;
	std::cout << "WWWWWWWWWWWWWWWWWWWWWWWW0c;:;,;:cc:'.;dx:,do';dkd;..:l..,...':,:dx:'ld,..'ol....:;..,,.':0WWWWWWWWWW" << std::endl;
	std::cout << "WWWWWWWWWWWWWWWWWWWWWWWWWNKOo';kKKk;.lxd;;dc':xxo,..cd:.....cc,lxd;'od,..';'.,;....'';c:c0WWWWWWWWWW" << std::endl;
	std::cout << "WWWWWWWWWWWWWWWWWWWWWWWWWWWWk':KWXx,'oko,:dl':xxl..'oxo'...;d:,dkd,'od,,c:,''cdo:,'cdkd:l0WWWWWWMWWW" << std::endl;
	std::cout << "WWWWWWWWWWWWWWWWWWWWWWWWWWWWO,:KWKo',dxo,:xo,;xxc..,dxx:...cd:ckkd,,do,;oko,;oxkx:,oxxo:o0NWWWWWMMWW" << std::endl;
	std::cout << "WWWWWWWWWWWWWWWWWWWWWWWWWWWWO,;0NOc.;xxl':xd;;dx:..;dxxo,..ld:ldol,;dl;lxko:oxxxd::dkkolx0NWMWWWMMMM" << std::endl;
	std::cout << "WWWWWWWWWWWWWWWWWWWWWWWWWWWW0;;OXx;.cxkd;:xxc,ld,..';okxl',oo;;.';':l;:dkdc:dkxkd:lkxxddkKWWWWMMMMMM" << std::endl;
	std::cout << "WWWWWWWWWWWWWWWWWWWWWWWWWWWWO,;OKx;,dkO0c:xkd;;c'...'lxxo,;do:,.;:':ccdxxo:oxkkkocokkxxxOXWWWWWWWWWW" << std::endl;
	std::cout << "WWWWWWWWWWWWWWWWWWWWWWWWWWWWO,,k0d;:kOOXd;oxxdc,'...'oxxo,cxol:.;:',lkkxdoxkkkxxxxOkkO0OKNWWWWWWWWWW" << std::endl;
	std::cout << "WWWWWWWWWWWWWWWWWWWWWWWWWWWW0;'x0d,:0O0NO:lxxkOo'...;xxxoldxdxc.;;'cO0kkxodoclox0X0kKNXKNWWWWWWWWMMW" << std::endl;
	std::cout << "WWWWWWWWWWWWWWWWWWWWWWWWWWWWK:'d0o,lK00NNxcdkkKO:'..:kkkOOOx0O:.;,;ddc;;:coolox0NN0OXWWWWWWWWWWWWWWW" << std::endl;
	std::cout << "WWWWWWWWWWWWWWWWWWWWWWWWWWWWKc.dKo,cOkxkxo;cdxKNx,..:k0XWNKKN0;.;,.';cdk0XWNK0KNWNKKWMWWMMMMMMMMMMMM" << std::endl;
	std::cout << "WWWWWWWWWWWWWWWWWWWWWWWWWWWWXl.dNk;xNNNNK0xoooodxdc',kXWWWWWWXc....'cooooodxxkKNWWNWWWWWMMMMMMWMMMMM" << std::endl;
	std::cout << "WWWWWWWWWWWWWWWWWWWWWWWWWWWWXc.oN0lkWKxddxoc;,,,;:c;:0WWWWWWWXd,,,',cdOXXK0OxkkkKWWWWWWWWWWMMMWMMMMM" << std::endl;
	std::cout << "WWWWWWWWWWWWWWWWWNNNNNNXXK0Oo'.;oc,;c:;;::;'....,;;;;cllccccccc;,,'...':oolcccllcooollllllodxkO00KXN" << std::endl;
	std::cout << "looooodddxxdolccc:;;;;;,,,,'.....';;,'''.',,,,'',;;;,'',,,,,,,,,,,'',,'''..'''',''''.,;;,,,'.'''',,;" << std::endl;
	std::cout << "'''.....'',,''',,,,;;::ccclloolcclodxddlldxxxxddxxxxxxddxxxxxxxxxxddxddddlloxxoooodddxkxxxxddoollc::" << std::endl;
	std::cout << "ddoollloxxxxxxxxxxxxxxxxxxxdl:,..,;:;;:cldxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxdl,,;;;ldxxxxxxxxxxxxxxx" << std::endl;
	std::cout << "ddxxxxxkkkkkkkxxxxxxxxxxxxxl,...,:lc:;,.';coxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxo,,cl:,,cxxxkxxxxxxxxxxx" << std::endl;
}

